Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.loading
Interface ClassLoaderRepository

All Known Implementing Classes:
  LoaderRepository

public interface ClassLoaderRepository

A classloader repository.

A loader repository per MBeanServer.

Version:
  $Revision: 1.4 $

  Revisions:

  20020224 Juha Lindfors:

  - Updated to match JMX 1.2 specification.
Author:
  Adrian Brock., Juha Lindfors.

Method Summary
`Class` | `loadClass(String className)` Loads a class from the repository.
`Class` | `loadClassBefore(ClassLoader stop, String className)` Loads a class from the repository, using the classloaders that were registered before the given classloader.
`Class` | `loadClassWithout(ClassLoader loader, String className)` Loads a class from the repository, excluding the given classloader.

Method Detail

### loadClass

    public Class loadClass(String className)
                    throws ClassNotFoundException

  Loads a class from the repository. This method attempts to load the class using all the classloader registered to the repository.

  Parameters:
    `className` - the class to load
  Returns:
    the found class
  Throws:
    `ClassNotFoundException` - when there is no such class

### loadClassWithout

    public Class loadClassWithout(ClassLoader loader,
                                  String className)
                           throws ClassNotFoundException

  Loads a class from the repository, excluding the given classloader.

  Parameters:
    `loader` - the classloader to exclude
    `className` - the class to load
  Returns:
    the found class
  Throws:
    `ClassNotFoundException` - when there is no such class

### loadClassBefore

    public Class loadClassBefore(ClassLoader stop,
                                 String className)
                          throws ClassNotFoundException

  Loads a class from the repository, using the classloaders that were registered before the given classloader.

  Parameters:
    `stop` - consult all the classloaders registered before this one in an attempt to load a class
    `className` - name of the class to load
  Returns:
    loaded class instance
  Throws:
    `ClassNotFoundException` - if none of the consulted classloaders were able to load the requested class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.